Bug 1987760 - odcs: FTBFS in Fedora rawhide/f35 [NEEDINFO]
Summary: odcs: FTBFS in Fedora rawhide/f35
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: odcs
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FTBFS F36FTBFS, RAWHIDEFTBFS
TreeView+ depends on / blocked
 
Reported: 2021-07-29 16:14 UTC by Fedora Release Engineering
Modified: 2021-08-17 12:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-17 12:20:01 UTC
Type: ---
releng: needinfo? (jkaluza)


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2021-07-29 16:14 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-07-29 16:14 UTC, Fedora Release Engineering
no flags Details
state.log (954 bytes, text/plain)
2021-07-29 16:14 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-07-29 16:14:18 UTC
odcs failed to build from source in Fedora rawhide/f35

https://koji.fedoraproject.org/koji/taskinfo?taskID=72415315


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
Please fix odcs at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
odcs will be orphaned. Before branching of Fedora 36,
odcs will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-07-29 16:14:22 UTC
Created attachment 1808195 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-07-29 16:14:25 UTC
Created attachment 1808196 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-07-29 16:14:29 UTC
Created attachment 1808197 [details]
state.log

Comment 4 Fedora Release Engineering 2021-08-01 04:31:15 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-09-23).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 5 Lubomír Sedlář 2021-08-03 08:59:25 UTC
The failure is due to python-flask-script not being compatible with updated flask. Next upstream ODCS release will remove the dependency and should build successfully again. The release is planned in the next few weeks.

Comment 6 Ben Cotton 2021-08-10 13:25:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 7 Lubomír Sedlář 2021-08-17 12:20:01 UTC
The package is updated in both Rawhide and F35 and builds again.


Note You need to log in before you can comment on or make changes to this bug.